> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loqate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Everything Location - /email/verify

> Please note that this is a legacy product in retirement

Attempts to validate the domain, account, and type of an email address.

**Note:** only old everythinglocation keys will work with this service.

**Resource URL:** [https://api.everythinglocation.com/email/verify](https://api.everythinglocation.com/email/verify)

<Note>Please note that we don't support API connections using HTTP - all calls should use HTTPS.</Note>

## Resource Information

* Preferred method:	**GET, POST**
* Response formats:	**JSON, XML, HTML**
* Requires authentication?	**Yes, valid API key**
* Chargeable?	**Yes**

## Request Parameters

| Name              | Description                                                                                                                                                                                                              |
| :---------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| lqtkey (Required) | A valid API key with sufficient credit available to process the requested transactions. <br /><br />Example: BFtd2UpC8Gl1jU1pPnDZIVpoz2XnBMyWEfVcAfoI                                                                    |
| email (Required)  | The full email address to be submitted for verification. This endpoint supports only one email address per call. <br /><br />Example: ...email=[john.doe@everythinglocation.com](mailto:john.doe@everythinglocation.com) |

## Response Parameters

| Name     | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| :------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Status   | The result of your call. "OK" indicates success, any other status indicates an error. <br /><br />Example: "Status":"OK"                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| email\[] | The array containing the response. Each result will contain the following fields: <ul><li>email: the email address as entered at input</li><li>host\_domain: the domain part of the input email address</li><li>email\_status: can be valid, invalid, accept\_all, or unknown</li><li>secondary\_status (not returned when empty): possible field values include:</li><li>  role\_address</li><li>  disposable</li><li>  email\_address\_invalid (if email\_status = invalid)</li><li>  email\_domain\_invalid (if email\_status = invalid)</li><li>  email\_account\_invalid (if email\_status = invalid)</li></ul><br />When email\_status = unknown, the process on the given record is not charged. <br /><br />Sample JSON output\[] is enclosed below. |

## Example Request

```JSON theme={null}
GET http://api.everythinglocation.com/email/verify
?lqtkey=BFtd2UpC8Gl1jU1pPnDZIVpoz2XnBMyWEfVcAfoI
&email=john.doe@everythinglocation.com
```

## Example Response

```JSON theme={null}
200 OK
Content-Type: application/json; charset=utf8
Date: Wed, 14 Feb 2016 12:09:25 GMT
Server: Apache
X-Powered-By: PHP/5.4.16
Content-Length: 1912
Connection: keep-alive
{
   "Status" : "OK",
   "email" : [
      {
         "email" : "john.doe@everythinglocation.com",
         "host_domain" : "everythinglocation.com",
         "email_status" : "valid"
      }
   ]
}
```
